SHA512t224DigestTest (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.test

## Class SHA512t224DigestTest

- java.lang.Object
- - org.bouncycastle.util.test.SimpleTest
  - - org.bouncycastle.crypto.test.DigestTest
    - - org.bouncycastle.crypto.test.SHA512t224DigestTest

- All Implemented Interfaces:
    Test

      public class SHA512t224DigestTest
      extends DigestTest

  standard vector test for SHA-512/224 from FIPS 180-4. Note, only the last 2 message entries are FIPS originated..

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bouncycastle.util.test.SimpleTest

      `SimpleTest.TestExceptionOperation`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Digest` | `cloneDigest(byte[] encodedState)`
    `protected Digest` | `cloneDigest(Digest digest)`
    `static void` | `main(java.lang.String[] args)`
    `void` | `performTest()`

    - ### Methods inherited from class org.bouncycastle.crypto.test.DigestTest

      `checkXof, getName, millionATest, sixtyFourKTest, toByteArray`

    - ### Methods inherited from class org.bouncycastle.util.test.SimpleTest

      `areEqual, areEqual, areEqual, fail, fail, fail, isEquals, isEquals, isEquals, isEquals, isEquals, isEquals, isEquals, isTrue, isTrue, perform, runTest, runTest, runTests, runTests, testException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### performTest

          public void performTest()

      Overrides:
        `performTest` in class `DigestTest`

    - #### cloneDigest

          protected Digest cloneDigest(Digest digest)

      Specified by:
        `cloneDigest` in class `DigestTest`

    - #### cloneDigest

          protected Digest cloneDigest(byte[] encodedState)

      Overrides:
        `cloneDigest` in class `DigestTest`

    - #### main

          public static void main(java.lang.String[] args)